Dokumentation
ReferenceHTTP APITasksList tasks

List tasks

GET
/v1/tasks
AuthorizationBearer <token>

API key as a Bearer token (Authorization: Bearer ).

In: header

Query Parameters

id?string

ID prefix search

status?string

Filter by task status

created_from?string

ISO 8601 date or datetime lower bound

created_to?string

ISO 8601 date or datetime upper bound

cursor?string

Opaque pagination cursor

limit?integer

Page size, clamped to 1..100

Default25
Formatint64

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.fotovid.co/v1/tasks"
{
  "has_next": false,
  "next_cursor": "",
  "results": [
    {
      "completed_at": "2026-07-16T12:00:04Z",
      "created_at": "2026-07-16T12:00:00Z",
      "data_removed": false,
      "error": null,
      "expires_at": "2026-07-23T12:00:04Z",
      "id": "01JR3F5Z0M8W2K9YQ7B4C6D8E0",
      "metrics": {
        "total_time": 3.2
      },
      "outputs": [
        {
          "kind": "video",
          "url": "https://cdn.fotovid.co/sync/9f8e7d/out.mp4?X-Amz-Expires=900&X-Amz-Signature=e3b0c44298fc1c14"
        }
      ],
      "source": "api",
      "started_at": "2026-07-16T12:00:01Z",
      "status": "succeeded",
      "task_type": "video.trim",
      "urls": {
        "get": "https://cdn.fotovid.co/sync/9f8e7d/out.mp4?X-Amz-Expires=900&X-Amz-Signature=e3b0c44298fc1c14"
      }
    }
  ]
}
{
  "code": "AUTH_UNAUTHORIZED",
  "detail": "Missing or invalid API key",
  "instance": "/v1/tasks",
  "request_id": "01JR3F5Z0M8W2K9YQ7B4C6D8E0",
  "status": 401,
  "title": "Unauthorized",
  "type": "https://api.fotovid.co/errors/authentication"
}
{
  "code": "RATE_LIMIT_EXCEEDED",
  "detail": "Rate limit exceeded; retry after the indicated delay",
  "instance": "/v1/tasks",
  "request_id": "01JR3F5Z0M8W2K9YQ7B4C6D8E0",
  "status": 429,
  "title": "Too Many Requests",
  "type": "https://api.fotovid.co/errors/rate-limit"
}
{
  "code": "INTERNAL",
  "detail": "An internal error occurred",
  "instance": "/v1/tasks",
  "request_id": "01JR3F5Z0M8W2K9YQ7B4C6D8E0",
  "status": 500,
  "title": "Internal Server Error",
  "type": "https://api.fotovid.co/errors/internal"
}